## libnet-finger-perl 1.0

=== Makefile ===
# This Makefile is for the Net::Finger extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.34 (Revision: 1.202) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker Parameters:

#	NAME => q[Net::Finger]
#	VERSION_FROM => q[Finger.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/local/lib/perl5/sun4-solaris/5,003/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -Kpic
CCDLFLAGS =  
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -G -L/usr/local/lib -L/opt/local/lib
LDFLAGS =  -L/usr/local/lib -L/opt/local/lib
LIBC = /lib/libc.so
LIB_EXT = .a
OBJ_EXT = .o
RANLIB = :
SO = so


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = Net::Finger
DISTNAME = Net-Finger
NAME_SYM = Net_Finger
VERSION = 1.0
VERSION_SYM = 1_0
XS_VERSION = 1.0
INST_BIN = ./blib/bin
INST_EXE = ./blib/script
INST_LIB = ./blib/lib
INST_ARCHLIB = ./blib/arch
INST_SCRIPT = ./blib/script
PREFIX = /usr/local
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)/lib/perl5
INSTALLARCHLIB = $(PREFIX)/lib/perl5/sun4-solaris/5,003
INSTALLSITELIB = $(PREFIX)/lib/perl5/site_perl
INSTALLSITEARCH = $(PREFIX)/lib/perl5/site_perl/sun4-solaris
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/local/lib/perl5
PERL_ARCHLIB = /usr/local/lib/perl5/sun4-solaris/5,003
SITELIBEXP = /usr/local/lib/perl5/site_perl
SITEARCHEXP = /usr/local/lib/perl5/site_perl/sun4-solaris
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/local/lib/perl5/sun4-solaris/5,003/CORE
PERL = /opt/local/bin/perl
FULLPERL = /opt/local/bin/perl

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"

MAKEMAKER = /usr/local/lib/perl5/ExtUtils/MakeMaker.pm
MM_VERSION = 5.34

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Net/Finger
BASEEXT = Finger
PARENT_NAME = Net::
DLBASE = $(BASEEXT)
VERSION_FROM = Finger.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = 
MAN3PODS = Finger.pm
INST_MAN1DIR = ./blib/man1
INSTALLMAN1DIR = $(PREFIX)/man/man1
MAN1EXT = 1
INST_MAN3DIR = ./blib/man3
INSTALLMAN3DIR = $(PREFIX)/lib/perl5/man/man3
MAN3EXT = 3

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)/Net
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Net

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

TO_INST_PM = Finger.pm

PM_TO_BLIB = Finger.pm \
	$(INST_LIBDIR)/Finger.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = sh -c true
RM_F = rm -f
RM_RF = rm -rf
TOUCH = touch
UMASK_NULL = umask 0

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -wle '$$"="/"; foreach $$p (@ARGV){' \
-e 'next if -d $$p; my(@p); foreach(split(/\//,$$p)){' \
-e 'push(@p,$$_); next if -d "@p/"; print "mkdir @p" if 0;' \
-e 'mkdir("@p",0777)||die $$! } } exit 0;'

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -we 'open F, ">$$ARGV[1]"; close F;' \
-e 'utime ((stat("$$ARGV[0]"))[8,9], $$ARGV[1])'

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=1

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e 'install({@ARGV},"$(VERBINST)",0,"$(UNINST)");'

DOC_INSTALL = $(PERL) -e '$$\="\n\n";print "=head3 ", scalar(localtime), ": C<", shift, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1);'



# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = compress
SUFFIX = .Z
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

config :: Version_check
	@$(NOOP)


$(INST_AUTODIR)/.exists :: /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) 755 $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) 755 $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) 755 $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/sun4-solaris/5,003/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) 755 $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e 'Version_check("$(MM_VERSION)")'


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/local/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \
-e 'next if -e $$m{$$_} && -M $$m{$$_} < -M $$_ && -M $$m{$$_} < -M "Makefile";' \
-e 'print "Manifying $$m{$$_}\n";' \
-e 'system(qq[$$^X ].q["-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" $(POD2MAN_EXE) ].qq[$$_>$$m{$$_}])==0 or warn "Couldn\047t install $$m{$$_}\n";' \
-e 'chmod 0644, $$m{$$_} or warn "chmod 644 $$m{$$_}: $$!\n";}'

manifypods : Finger.pm
	@$(POD2MAN) \
	Finger.pm \
	$(INST_MAN3DIR)/Net::Finger.$(MAN3EXT)

# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean ::
	-rm -rf ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all perlmain.c mon.out core so_locations pm_to_blib *~ */*~ */*/*~ *$(OBJ_EXT) *$(LIB_EXT) perl.exe $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def $(BASEEXT).exp
	-mv Makefile Makefile.old 2>/dev/null


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean
	rm -rf $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	rm -f $(INST_LIBDIR)/Finger.pm
	rm -rf Makefile Makefile.old


# --- MakeMaker dist_basics section:

distclean :: realclean distcheck

distcheck :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -e 'use ExtUtils::Manifest "&fullcheck";' \
		-e 'fullcheck();'

skipcheck :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -e 'use ExtUtils::Manifest "&skipcheck";' \
		-e 'skipcheck();'

manifest :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -e 'use ExtUtils::Manifest "&mkmanifest";' \
		-e 'mkmanifest();'


# --- MakeMaker dist_core section:

dist : $(DIST_DEFAULT)
	@$(PERL) -le 'print "Warning: Makefile possibly out of date with $$vf" if ' \
	    -e '-e ($$vf="$(VERSION_FROM)") and -M $$vf < -M "Makefile";'

tardist : $(DISTVNAME).tar$(SUFFIX)

zipdist : $(DISTVNAME).zip

$(DISTVNAME).tar$(SUFFIX) : distdir
	$(PREOP)
	$(TO_UNIX)
	$(TAR) $(TARFLAGS) $(DISTVNAME).tar $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(COMPRESS) $(DISTVNAME).tar
	$(POSTOP)

$(DISTVNAME).zip : distdir
	$(PREOP)
	$(ZIP) $(ZIPFLAGS) $(DISTVNAME).zip $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)

uutardist : $(DISTVNAME).tar$(SUFFIX)
	uuencode $(DISTVNAME).tar$(SUFFIX) \
		$(DISTVNAME).tar$(SUFFIX) > \
		$(DISTVNAME).tar$(SUFFIX)_uu

shdist : distdir
	$(PREOP)
	$(SHAR) $(DISTVNAME) > $(DISTVNAME).shar
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)


# --- MakeMaker dist_dir section:

distdir :
	$(RM_RF) $(DISTVNAME)
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=manicopy,maniread \
		-e 'manicopy(maniread(),"$(DISTVNAME)", "$(DIST_CP)");'


# --- MakeMaker dist_test section:

disttest : distdir
	cd $(DISTVNAME) && $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) Makefile.PL
	cd $(DISTVNAME) && $(MAKE)
	cd $(DISTVNAME) && $(MAKE) test


# --- MakeMaker dist_ci section:

ci :

## libnet-finger-perl 1.05-1

=== debian/changelog ===
libnet-finger-perl (1.05-1) unstable; urgency=low

  * New maintainer.
  * New version.

 -- Stephen Zander <gibreel@debian.org>  Fri,  5 Nov 1999 23:05:49 -0800

libnet-finger-perl (1.0-1.1) unstable; urgency=low

  * NMU for the new perl setup.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Sun,  4 Jul 1999 17:55:24 +0200

libnet-finger-perl (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 25 Sep 1998 03:36:26 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "gibreel@debian.org"
End:

=== debian/control ===
Source: libnet-finger-perl
Section: libs
Priority: extra
Maintainer: Stephen Zander <gibreel@debian.org>
Standards-Version: 3.0.1

Package: libnet-finger-perl
Architecture: all
Depends: ${perl:Depends} 
Description: Perl Module providing an API for Finger queries
 Net::Finger is a Perl interface to the Finger service, 
 connecting to a local or remote server and making the request.
 For more details see the Net::Finger(3pm) manpage.

=== debian/rules ===
#!/usr/bin/make -f

prefix=$(PWD)/debian/tmp/usr

build:
	perl Makefile.PL INSTALLDIRS=perl
	$(MAKE) LD_RUN_PATH=
	touch build

clean: checkroot
	-rm -f build
	-$(MAKE) distclean
	dh_clean

binary-indep: checkroot build
	-rm -rf debian/tmp
	dh_installdirs
	$(MAKE) pure_install PREFIX=$(prefix) \
		INSTALLMAN1DIR=$(prefix)/share/man/man1 \
		INSTALLMAN3DIR=$(prefix)/share/man/man3
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary-arch: checkroot build

binary: binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## libnet-finger-perl 1.06

=== debian/changelog ===
libnet-finger-perl (1.06-7) unstable; urgency=medium

  [ Michael Ablassmeier ]
  * Refresh packaging
   + Move package to debian-perl group, adjust uploaders
   + Don't use cdbs
   + Update source format 3.0 (Closes: #1007277)
   + Update Standards-Version
   + Fix lintian warnings
  * Add Vcs-Git to debian/control
  * Add Vcs-Browser to debian/control
  * Set Maintainer/Uploaders in debian/control

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * debian/control: use typical MetaCPAN URL as Homepage.
  * Add debian/watch.

 -- Michael Ablassmeier <abi@debian.org>  Wed, 17 May 2023 21:44:30 +0200

libnet-finger-perl (1.06-6.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:02:21 +0200

libnet-finger-perl (1.06-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bump debhelper compat level. Closes: #817542

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 17 Dec 2016 14:15:15 +0100

libnet-finger-perl (1.06-6) unstable; urgency=low

  * Remove empty /usr/lib

 -- Michael Ablassmeier <abi@debian.org>  Tue, 25 Apr 2006 13:01:51 +0200

libnet-finger-perl (1.06-5) unstable; urgency=low

  * New Maintainer E-Mail
  * move debhelper/cdbs from B-D-I to B-D
  * Update Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Mon, 24 Apr 2006 16:36:20 +0200

libnet-finger-perl (1.06-4) unstable; urgency=low

  * New Maintainer (Closes: #279794)
  * Use cdbs
  * Update Standards Version
  * Lower first capital Letter in Package description
  * Add a simple example

 -- Michael Ablassmeier <abi@grinser.de>  Wed,  2 Mar 2005 22:20:00 +0100

libnet-finger-perl (1.06-3) unstable; urgency=low

  * QA Upload
  * Changed Maintainer to Debian QA Group <packages@qa.debian.org>
  * Changed section from 'interpreters' to 'perl'.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Sat, 26 Feb 2005 10:53:55 +0000

libnet-finger-perl (1.06-2) unstable; urgency=low

  * Rationalised debian/copyright,
  Closes: #157611

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Sep 2002 14:46:04 -0700

libnet-finger-perl (1.06-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Zander <gibreel@debian.org>  Fri, 11 Jan 2002 23:56:25 -0800

=== debian/control ===
Source: libnet-finger-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Michael Ablassmeier <abi@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libnet-finger-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libnet-finger-perl.git
Homepage: https://metacpan.org/release/Net-Finger
Rules-Requires-Root: no

Package: libnet-finger-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: perl Module providing an API for Finger queries
 Net::Finger is a Perl interface to the Finger service,
 connecting to a local or remote server and making the request.
 For more details see the Net::Finger(3pm) manpage.

=== debian/watch ===
version=4
https://metacpan.org/release/Net-Finger   .*/Net-Finger-v?@ANY_VERSION@@ARCHIVE_EXT@$
